Page MenuHomePhabricator

Revision visibility change event sets a wrong performer
Closed, ResolvedPublic

Description

According to the mediawiki.revision-visibility-change schema, the performer property should represent a user that performed the action of changing the revision visibility. However, after a recent refactor it's now set to the user who has originally created the revision. This should be fixed.

Event Timeline

Pchelolo created this task.Oct 5 2018, 12:16 AM
Restricted Application added a project: Analytics. · View Herald TranscriptOct 5 2018, 12:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mforns triaged this task as Low priority.Oct 8 2018, 3:39 PM
mforns moved this task from Incoming to Radar on the Analytics board.Oct 8 2018, 3:46 PM

Change 465511 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Revision visibility change event sets a wrong performer

https://gerrit.wikimedia.org/r/465511

mobrovac closed this task as Resolved.Oct 15 2018, 10:44 AM
mobrovac raised the priority of this task from Low to Medium.

Change 465511 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Revision visibility change event sets a wrong performer

https://gerrit.wikimedia.org/r/465511